rem @echo off
echo --------------------------------------
echo Generating Arena 3D (89,92+,v200) ...
echo --------------------------------------
set ARENA3D_TOOL_PATH=..\tools

tigcc -Os -Wall -W -Wwrite-strings -Wpointer-arith -fomit-frame-pointer -fno-strict-aliasing -fno-if-conversion arena3d.c extgraph.a -o arena -pack a3dpak
call compile_launcher
tigcc -Os -Wall -W -Wwrite-strings -Wpointer-arith -fomit-frame-pointer -fno-strict-aliasing -fno-if-conversion a3dsets.c extgraph.a -o a3dsets
tigcc -Os -Wall -W -Wwrite-strings -Wpointer-arith -fomit-frame-pointer -fno-strict-aliasing -fno-if-conversion a3dedit.c keyscan_edit.c edit_draw.c edit_globals.c tileset.c extgraph.a -o a3dedit -pack aeditpak


call %ARENA3D_TOOL_PATH%\finalize arena.89z arena
call %ARENA3D_TOOL_PATH%\finalize arena.89y arena
call %ARENA3D_TOOL_PATH%\finalize arena.9xz arena
call %ARENA3D_TOOL_PATH%\finalize arena.9xy arena

copy arena.89y ..\bin89\arena.89y
copy arena.89z ..\bin89\arena.89z
copy arena.9xy ..\bin92p\arena.9xy
copy arena.9xz ..\bin92p\arena.9xz

call finalize_editor
call finalize_setmaker

call del_copies

@echo on
pause