// C Source File
// Created 9/23/2002; 5:28:45 PM
#ifndef TileDataStuff
#define TileDataStuff
// number of tiles in array data
#define TILENUMBER_DATA 13

// height of one tile in array data
#define TILEHEIGHT_DATA 16

// macro returns the address of tile nr of plane p from array data
#define GFXTILE(p,nr) &(data[p][TILEHEIGHT_DATA*nr])
#endif

unsigned short data[2][TILENUMBER_DATA * TILEHEIGHT_DATA] = { {
// tile 0
							       0xffff, 0xc001,
							       0xc001, 0xc001,
							       0xc001, 0xc001,
							       0xc001, 0xffff,
							       0xc000, 0xc000,
							       0xc000, 0xc000,
							       0xc000, 0xc000,
							       0xc000, 0xc000,
// tile 1
							       0xffff, 0xc001,
							       0xc2a1, 0xc2a1,
							       0xc2a1, 0xc141,
							       0xc001, 0xffff,
							       0xc000, 0xc000,
							       0xc000, 0xc000,
							       0xc000, 0xc000,
							       0xc000, 0xc000,
// tile 2
							       0x8001, 0x4002,
							       0x2004, 0x1008,
							       0x0810, 0x0420,
							       0x0240, 0x0180,
							       0x0180, 0x0240,
							       0x0420, 0x0810,
							       0x1008, 0x2004,
							       0x4002, 0x8001,
// tile 3
							       0x8001, 0x4002,
							       0x2004, 0x1008,
							       0x0810, 0x0420,
							       0x0240, 0x0180,
							       0x0180, 0x0240,
							       0x0420, 0x0810,
							       0x1008, 0x2004,
							       0x4002, 0x8001,
// tile 4
							       0x0000, 0x0000,
							       0x0000, 0x0000,
							       0x0000, 0x0000,
							       0x0000, 0x0000,
							       0x0000, 0x0000,
							       0x0000, 0x0000,
							       0x0000, 0x0000,
							       0x0000, 0x0000,
// tile 5
							       0xf8f2, 0x6ebb,
							       0xfbef, 0xfb97,
							       0xf6bb, 0x7ef9,
							       0xbfe8, 0xbfb2,
							       0x5bf9, 0xf5dc,
							       0xfab3, 0xdf6d,
							       0xbddf, 0xde3e,
							       0xbf6d, 0xb7f7,
// tile 6
							       0xffff, 0xe9ee,
							       0xbb0a, 0xf779,
							       0xda70, 0xe659,
							       0xd367, 0x9a98,
							       0xb689, 0xb778,
							       0xedf1, 0x9cff,
							       0xef3d, 0xb1dc,
							       0xf7bd, 0x0000,
// tile 7
							       0xf8cf, 0xa6cb,
							       0x0308, 0x07e0,
							       0xf100, 0x0180,
							       0x3cc8, 0x89f1,
							       0x8527, 0x0210,
							       0x5000, 0x0000,
							       0xbbf9, 0x07fe,
							       0x6f4f, 0xe201,
// tile 8
							       0xffff, 0x8001,
							       0x8001, 0x8001,
							       0x8001, 0x8001,
							       0x8001, 0x8001,
							       0x8001, 0x8001,
							       0x8001, 0x8001,
							       0x8001, 0x8001,
							       0x8001, 0xffff,
// tile 9
							       0xda2b, 0x9b29,
							       0x9b71, 0x9e63,
							       0x1e03, 0x936f,
							       0x8623, 0x022b,
							       0x0a6f, 0x224b,
							       0xa047, 0xa0ca,
							       0xa098, 0xa1f9,
							       0xa19d, 0xa189,
// tile 10
							       0x7c3c, 0x3e3c,
							       0x3c38, 0x7e00,
							       0xfe00, 0xfe01,
							       0xff01, 0xff42,
							       0xfe1f, 0x7e0e,
							       0xfd1f, 0xffcd,
							       0xff87, 0xfc3f,
							       0xf83f, 0xfc3f,
// tile 11
							       0x600c, 0x200c,
							       0x300c, 0x7d00,
							       0xee80, 0xe7c1,
							       0xe021, 0xffc2,
							       0xfe1f, 0xfe0e,
							       0xfd3f, 0xffcf,
							       0xff87, 0xfc3f,
							       0xfc3f, 0xfc3f,
// tile 12
							       0x7c3c, 0x3e3c,
							       0x3008, 0x7000,
							       0xf000, 0xf001,
							       0xf001, 0xf002,
							       0xf00f, 0x700e,
							       0xf03f, 0xf00d,
							       0xf007, 0xf00f,
							       0xf00f,
							       0xf00f},
// ---- plane 2 ----
{
// tile 0
 0xffff, 0xffff, 0xf83f, 0xfbff, 0xfa3f, 0xfbbf, 0xf83f, 0xffff,
 0xc000, 0xc000, 0xc000, 0xc000, 0xc000, 0xc000, 0xc000, 0xc000,
// tile 1
 0xffff, 0xc001, 0xc2a1, 0xc2a1, 0xc2a1, 0xc141, 0xc001, 0xffff,
 0xc000, 0xc000, 0xc000, 0xc000, 0xc000, 0xc000, 0xc000, 0xc000,
// tile 2
 0x7ffe, 0xbffd, 0xdffb, 0xeff7, 0xf7ef, 0xfbdf, 0xfdbf, 0xfe7f,
 0xfe7f, 0xfdbf, 0xfbdf, 0xf7ef, 0xeff7, 0xdffb, 0xbffd, 0x7ffe,
// tile 3
 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000,
 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000,
// tile 4
 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000,
 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000,
// tile 5
 0x9fef, 0xe4d3, 0x6b6d, 0xb36e, 0xbd9e, 0x4f6d, 0xbe77, 0xb5b6,
 0x6b4d, 0xb7bf, 0xf7b6, 0x6b4d, 0xb4bd, 0x6bd2, 0xf76d, 0xb6fa,
// tile 6
 0xfffe, 0x8000, 0x8000, 0x8002, 0x8002, 0x8002, 0x8000, 0x8002,
 0x8002, 0x8002, 0x8002, 0x8000, 0x8002, 0x8002, 0x8002, 0xfffe,
// tile 7
 0x0000, 0x3ffc, 0x4184, 0x4384, 0x4184, 0x4104, 0x4004, 0x460e,
 0x429c, 0x4004, 0x4004, 0x4004, 0x4404, 0xffff, 0x8090, 0x0000,
// tile 8
 0xffff, 0x8001, 0x8001, 0x8001, 0x8001, 0x8001, 0x8001, 0x8001,
 0x8001, 0x8001, 0x8001, 0x8001, 0x8001, 0x8001, 0x8001, 0xffff,
// tile 9
 0x05c0, 0x45c2, 0x44c0, 0x45c0, 0x41e0, 0x48c0, 0x59c0, 0xddc0,
 0xd5c0, 0xdde0, 0x5fe0, 0x5fa0, 0x5fa2, 0x5f82, 0x5fe2, 0x5fe4,
// tile 10
 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff,
 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff,
// tile 11
 0xffff, 0xe00f, 0xe20f, 0xe20f, 0xfd0f, 0xe3bf, 0xffdf, 0xffff,
 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff,
// tile 12
 0xffff, 0xffff, 0xf00f, 0xf00f, 0xf00f, 0xf00f, 0xf00f, 0xf00f,
 0xf00f, 0xf00f, 0xf00f, 0xf00f, 0xf00f, 0xf00f, 0xf00f, 0xf00f}
};
